clear
clear matrix

use "$dire\Assembled Data\96_01_04_state_moves_prior_month.dta", clear


/* Table 1A: Propensity to Move */
matrix table1a=J(25,2,0)

count
matrix table1a[1,1]=r(N)
count if beforelaststatemove==1
matrix table1a[1,2]=r(N)

*-----Men-----
count if esex==1
matrix table1a[2,1]=r(N)
count if esex==1 & beforelaststatemove==1
matrix table1a[2,2]=r(N)

*-----Women-----
count if esex==2
matrix table1a[3,1]=r(N)
count if esex==2 & beforelaststatemove==1
matrix table1a[3,2]=r(N)

*-----18-24-----
count if age==1
matrix table1a[4,1]=r(N)
count if age==1 & beforelaststatemove==1
matrix table1a[4,2]=r(N)

*-----25-54-----
count if age==2
matrix table1a[5,1]=r(N)
count if age==2 & beforelaststatemove==1
matrix table1a[5,2]=r(N)

*-----55-65-----
count if age==3
matrix table1a[6,1]=r(N)
count if age==3 & beforelaststatemove==1
matrix table1a[6,2]=r(N)

*-----White-----
count if race==1
matrix table1a[7,1]=r(N)
count if race==1 & beforelaststatemove==1
matrix table1a[7,2]=r(N)

*-----Non-White-----
count if race==2
matrix table1a[8,1]=r(N)
count if race==2 & beforelaststatemove==1
matrix table1a[8,2]=r(N)

*-----HS Dropout-----
count if educ==1
matrix table1a[9,1]=r(N)
count if educ==1 & beforelaststatemove==1
matrix table1a[9,2]=r(N)

*-----HS Graduate-----
count if educ==2
matrix table1a[10,1]=r(N)
count if educ==2 & beforelaststatemove==1
matrix table1a[10,2]=r(N)

*-----Some College-----
count if educ==3
matrix table1a[11,1]=r(N)
count if educ==3 & beforelaststatemove==1
matrix table1a[11,2]=r(N)

*-----Bachelor's or above-----
count if (educ==4 | educ==5)
matrix table1a[12,1]=r(N)
count if (educ==4 | educ==5) & beforelaststatemove==1
matrix table1a[12,2]=r(N)

*-----Never Married-----
count if maritalstat==4
matrix table1a[13,1]=r(N)
count if maritalstat==4 & beforelaststatemove==1
matrix table1a[13,2]=r(N)

*-----Married-----
count if maritalstat==1
matrix table1a[14,1]=r(N)
count if maritalstat==1 & beforelaststatemove==1
matrix table1a[14,2]=r(N)

*-----Divorced/Separated
count if maritalstat==2
matrix table1a[15,1]=r(N)
count if maritalstat==2 & beforelaststatemove==1
matrix table1a[15,2]=r(N)

*-----Widowed-----
count if maritalstat==3
matrix table1a[16,1]=r(N)
count if maritalstat==3 & beforelaststatemove==1
matrix table1a[16,2]=r(N)

*-----No Kids-----
count if kids==0
matrix table1a[17,1]=r(N)
count if kids==0 & beforelaststatemove==1
matrix table1a[17,2]=r(N)

*-----1-2 Kids-----
count if kids==1
matrix table1a[18,1]=r(N)
count if kids==1 & beforelaststatemove==1
matrix table1a[18,2]=r(N)

*-----3 or More Kids-----
count if kids==2 & beforelaststatemove==1
matrix table1a[19,1]=r(N)
count if kids==2
matrix table1a[19,2]=r(N)

*-----Disabled-----
count if totdisabled>0
matrix table1a[20,1]=r(N)
count if totdisabled>0 &beforelaststatemove==1
matrix table1a[20,2]=r(N)

*-----Never Disabled-----
count if totdisabled==0
matrix table1a[21,1]=r(N)
count if totdisabled==0 &beforelaststatemove==1
matrix table1a[21,2]=r(N)

*-----Homeowner-----
count if homeown==1
matrix table1a[22,1]=r(N)
count if homeown==1 &beforelaststatemove==1
matrix table1a[22,2]=r(N)

*-----Non-Homeowner-----
count if homeown==0
matrix table1a[23,1]=r(N)
count if homeown==0 &beforelaststatemove==1
matrix table1a[23,2]=r(N)

*-----Jobless-----
count if employed==0
matrix table1a[24,1]=r(N)
count if employed==0 &beforelaststatemove==1
matrix table1a[24,2]=r(N)

*-----Employed-----
count if employed==1
matrix table1a[25,1]=r(N)
count if employed==1 & beforelaststatemove==1
matrix table1a[25,2]=r(N)

clear
svmat table1a, names(matcol) 
rename table1ac1 N
rename table1ac2 No_of_Movers
gen pct_of_movers = No_of_Movers/N
gen str LCE = "Total" in 1
replace LCE = "Men" in 2
replace LCE = "Women" in 3
replace LCE = "Age 18-24" in 4
replace LCE = "Age 25-54" in 5
replace LCE = "Ages 55-65" in 6
replace LCE = "White" in 7
replace LCE = "Non-white" in 8
replace LCE = "High school dropout" in 9
replace LCE = "High school graduate" in 10
replace LCE = "Some college" in 11
replace LCE = "Bachelors degree or above" in 12
replace LCE = "Never married" in 13
replace LCE = "Married" in 14
replace LCE = "Divorced/separated" in 15
replace LCE = "Widowed" in 16
replace LCE = "No children" in 17
replace LCE = "1-2 children" in 18
replace LCE = "3 or more children" in 19
replace LCE = "Disabled (at any point in survey)" in 20
replace LCE = "Never disabled" in 21
replace LCE = "Homeowner (before the move)" in 22
replace LCE = "Non-homeowner" in 23
replace LCE = "Jobless" in 24
replace LCE = "Employed" in 25
order LCE  N No_of_Movers pct_of_movers 

save "$dire\Tables\table1a.dta", replace

/* Table 1B: LCEs of Movers and Stayers */
local ts = N in 1
gen pct_group_sample = N/`ts'
local tm = No_of_Movers in 1
gen pct_movers = No_of_Movers/`tm'
gen pct_stayers = (N-No_of_Movers)/(`ts'-`tm')
drop N No_of_Movers pct_of_movers

save "$dire\Tables\table1b.dta", replace



use "$dire\Assembled Data\96_01_04_state_moves_current_month.dta", clear

/* Table 2: Propensity to Move and Life Changing Events */
matrix table2=J(9,3,0)

* Note that the variable name are written as to what has changed. For example:
*chg_married means changed from married to non-married
*chg_single means changed from single to married
*chg_nochild means changed from having no children to having at least 1 child
*chg_firstchild mean changed from having a first child to having more than one child
*chg_nondisabled means changed from being nondisabled to disabled
*and so on....

*-----Become divorced/separated/widowed-----
count if  sum_6mo_chg_married==1
matrix table2[1,1]=r(N)
count if  sum_chg_married_state_move_6mo==1
matrix table2[1,2]=r(N)
count if  move_state_chg_married_6mo==1
matrix table2[1,3]=r(N)

*-----Get Married-----
count if  sum__6mo_chg_single==1
matrix table2[2,1]=r(N)
count if  sum_chg_single_state_move_6mo==1
matrix table2[2,2]=r(N)
count if  move_state_chg_single_6mo==1
matrix table2[2,3]=r(N)

*-----Have 1st Child-----
count if  sum__6mo_chg_nochild==1
matrix table2[3,1]=r(N)
count if  sum_chg_nochild_state_move_6mo==1
matrix table2[3,2]=r(N)
count if  move_state_chg_nochild_6mo==1
matrix table2[3,3]=r(N)

*-----Have an additional child-----
count if  sum__6mo_chg_firstchild==1
matrix table2[4,1]=r(N)
count if  sum_chg_fstchild_state_move_6mo==1
matrix table2[4,2]=r(N)
count if  move_state_chg_firstchild_6mo==1
matrix table2[4,3]=r(N)

*-----Oldest child turns 5-----
count if  sum__6mo_chg_child4yo==1
matrix table2[5,1]=r(N)
count if  sum_chg_child4yo_state_move_6mo==1
matrix table2[5,2]=r(N)
count if _6mo_statemove==1
matrix table2[5,3]=r(N)

*-----Become Disabled-----
count if  sum__6mo_chg_nondisabled==1
matrix table2[6,1]=r(N)
count if  sum_chg_nondis_state_move_6mo==1
matrix table2[6,2]=r(N)
count if  move_state_chg_nondisabled_6mo==1
matrix table2[6,3]=r(N)

*-----Become Jobless-----
count if  sum__6mo_chg_employed==1
matrix table2[7,1]=r(N)
count if  sum_chg_employed_state_move_6mo==1
matrix table2[7,2]=r(N)
count if  move_state_chg_employed_6mo==1
matrix table2[7,3]=r(N)

*-----Change Employers-----
count if  sum__6mo_chg_employer==1
matrix table2[8,1]=r(N)
count if  sum_chg_employer_state_move_6mo==1
matrix table2[8,2]=r(N)
count if  move_state_chg_employer_6mo==1
matrix table2[8,3]=r(N)

*-----Become Employed-----
count if  sum__6mo_chg_unemployed==1
matrix table2[9,1]=r(N)
count if  chg_unemployed_state_move_6mo==1
matrix table2[9,2]=r(N)
count if  move_state_chg_unemployed_6mo==1
matrix table2[9,3]=r(N)

* Count the number of movers in sample for +-6 mo. window
count if _6mo_statemove==1
local mov6mo = r(N)

clear
svmat table2, names(matcol)
rename table2c1 lce6mo
rename table2c2 lce_mover
rename table2c3 mover_lce
gen pct_lce_move = lce_mover/lce6mo
gen pct_move_lce = mover_lce/`mov6mo'
gen str LCE = "Become div./sep./wid." in 1
replace LCE = "Married" in 2
replace LCE = "First Child" in 3
replace LCE = "Additional Child" in 4
replace LCE = "Child turn 5" in 5
replace LCE = "Disabled" in 6
replace LCE = "Jobless" in 7
replace LCE = "Change employers" in 8
replace LCE = "Employed" in 9
order LCE lce6mo lce_mover pct_lce_move mover_lce pct_move_lce

save "$dire\Tables\table2.dta", replace


use "$dire\Assembled Data\96_01_04_state_moves_prior_and_current_month.dta", clear

* Matrices to save table values
matrix table3a=J(20,2,0)
matrix table3b=J(20,8,0)
matrix table3c=J(25,8,0)

* Merge with state-level economic variables
mmerge rhcalyr tfipsst using "$dire\Assembled Data\macrostats_all.dta"

* Summarize in which years there no observartions for states
table  tfipsst rhcalyr if _merge==2
drop if _merge==2

* Identify origin value and destintation value
foreach x in uer pcincome education crime foreclose {
	gen `x'orig = `x' if beforelaststatemove==1
	gen `x'dest = `x' if laststatemove==1
}

* Recode education variable to have 4 categories (combine 4 and 5 as bach. degree of higher)
replace educ=4 if educ==5

* Keep age and education constant before and after move
replace age=. if laststatemove==1
replace educ=. if laststatemove==1
egen agesame = mean(age), by(uid spanel)
egen educsame = mean(educ), by(uid spanel)

collapse (mean) educsame agesame rhcalyr (firstnm) *orig *dest if beforelaststatemove==1 | laststatemove==1, by(uid spanel)

tabstat *orig *dest, by(agesame) stat(n mean sd p50) save
matrix tot = r(StatTotal)
matrix age1 = r(Stat1)
matrix age2 = r(Stat2)
matrix age3 = r(Stat3)
tabstat *orig *dest, by(educsame) stat(n mean sd p50) save
matrix educ1 = r(Stat1)
matrix educ2 = r(Stat2)
matrix educ3 = r(Stat3)
matrix educ4 = r(Stat4)

/* Table 3A: Characteristics of the Origin and Destination States */

matrix table3a[2,1]=tot["mean","uerorig"]
matrix table3a[3,1]=tot["sd","uerorig"]
matrix table3a[4,1]=tot["p50","uerorig"]

matrix table3a[2,2]=tot["mean","uerdest"]
matrix table3a[3,2]=tot["sd","uerdest"]
matrix table3a[4,2]=tot["p50","uerdest"]

matrix table3a[6,1]=tot["mean","pcincomeorig"]
matrix table3a[7,1]=tot["sd","pcincomeorig"]
matrix table3a[8,1]=tot["p50","pcincomeorig"]

matrix table3a[6,2]=tot["mean","pcincomedest"]
matrix table3a[7,2]=tot["sd","pcincomedest"]
matrix table3a[8,2]=tot["p50","pcincomedest"]

matrix table3a[10,1]=tot["mean","forecloseorig"]
matrix table3a[11,1]=tot["sd","forecloseorig"]
matrix table3a[12,1]=tot["p50","forecloseorig"]

matrix table3a[10,2]=tot["mean","foreclosedest"]
matrix table3a[11,2]=tot["sd","foreclosedest"]
matrix table3a[12,2]=tot["p50","foreclosedest"]

matrix table3a[14,1]=tot["mean","educationorig"]
matrix table3a[15,1]=tot["sd","educationorig"]
matrix table3a[16,1]=tot["p50","educationorig"]

matrix table3a[14,2]=tot["mean","educationdest"]
matrix table3a[15,2]=tot["sd","educationdest"]
matrix table3a[16,2]=tot["p50","educationdest"]

matrix table3a[18,1]=tot["mean","crimeorig"]
matrix table3a[19,1]=tot["sd","crimeorig"]
matrix table3a[20,1]=tot["p50","crimeorig"]

matrix table3a[18,2]=tot["mean","crimedest"]
matrix table3a[19,2]=tot["sd","crimedest"]
matrix table3a[20,2]=tot["p50","crimedest"]


clear
svmat table3a, names(matcol)
rename table3ac1 origin
rename table3ac2 destination
replace origin=. if origin==0
replace destination=. if destination==0
gen difference = destination-origin
gen str Characteristics = "Average unemployment rate (%)" in 1
replace Characteristics= "Average annual income ($US)" in 5
replace Characteristics= "Average foreclosure rate (%)" in 9
replace Characteristics= "Average school ranking" in 13
replace Characteristics= "Average homicide rate" in 17
replace Characteristics= "Mean" in 2
replace Characteristics= "Mean" in 6
replace Characteristics= "Mean" in 10
replace Characteristics= "Mean" in 14
replace Characteristics= "Mean" in 18
replace Characteristics= "SD" in 3
replace Characteristics= "SD" in 7
replace Characteristics= "SD" in 11
replace Characteristics= "SD" in 15
replace Characteristics= "SD" in 19
replace Characteristics= "Median" in 4
replace Characteristics= "Median" in 8
replace Characteristics= "Median" in 12
replace Characteristics= "Median" in 16
replace Characteristics= "Median" in 20
order Ch or de diff

save "$dire\Tables\table3a.dta", replace

clear

/* Table 3B: Characteristics of the Origin and Destination State by Age */

matrix table3b[2,1]=age1["N".."p50","uerorig"]'
matrix table3b[2,5]=age1["N".."p50","uerdest"]'
matrix table3b[3,1]=age2["N".."p50","uerorig"]'
matrix table3b[3,5]=age2["N".."p50","uerdest"]'
matrix table3b[4,1]=age3["N".."p50","uerorig"]'
matrix table3b[4,5]=age3["N".."p50","uerdest"]'

matrix table3b[6,1]=age1["N".."p50","pcincomeorig"]'
matrix table3b[6,5]=age1["N".."p50","pcincomedest"]'
matrix table3b[7,1]=age2["N".."p50","pcincomeorig"]'
matrix table3b[7,5]=age2["N".."p50","pcincomedest"]'
matrix table3b[8,1]=age3["N".."p50","pcincomeorig"]'
matrix table3b[8,5]=age3["N".."p50","pcincomedest"]'

matrix table3b[10,1]=age1["N".."p50","forecloseorig"]'
matrix table3b[10,5]=age1["N".."p50","foreclosedest"]'
matrix table3b[11,1]=age2["N".."p50","forecloseorig"]'
matrix table3b[11,5]=age2["N".."p50","foreclosedest"]'
matrix table3b[12,1]=age3["N".."p50","forecloseorig"]'
matrix table3b[12,5]=age3["N".."p50","foreclosedest"]'

matrix table3b[14,1]=age1["N".."p50","educationorig"]'
matrix table3b[14,5]=age1["N".."p50","educationdest"]'
matrix table3b[15,1]=age2["N".."p50","educationorig"]'
matrix table3b[15,5]=age2["N".."p50","educationdest"]'
matrix table3b[16,1]=age3["N".."p50","educationorig"]'
matrix table3b[16,5]=age3["N".."p50","educationdest"]'

matrix table3b[18,1]=age1["N".."p50","crimeorig"]'
matrix table3b[18,5]=age1["N".."p50","crimedest"]'
matrix table3b[19,1]=age2["N".."p50","crimeorig"]'
matrix table3b[19,5]=age2["N".."p50","crimedest"]'
matrix table3b[20,1]=age3["N".."p50","crimeorig"]'
matrix table3b[20,5]=age3["N".."p50","crimedest"]'

clear
svmat table3b, names(matcol)
rename table3bc1 o_N
rename table3bc2 o_Mean
rename table3bc3 o_SD
rename table3bc4 o_Median
rename table3bc5 d_N
rename table3bc6 d_Mean
rename table3bc7 d_SD
rename table3bc8 d_Median
replace o_N = . if o_N==0
replace o_Mean = . if o_Mean==0
replace o_SD = . if o_SD==0
replace o_Median = . if o_Median==0
replace d_N = . if d_N==0
replace d_Mean = . if d_Mean==0
replace d_SD = . if d_SD==0
replace d_Median = . if d_Median==0
gen str Characteristics = "Average unemployment rate (%)" in 1
replace Characteristics= "Average annual income ($US)" in 5
replace Characteristics= "Average foreclosure rate (%)" in 9
replace Characteristics= "Average school ranking" in 13
replace Characteristics= "Average homicide rate" in 17
replace Characteristics= "Age 18-24" in 2
replace Characteristics= "Age 18-24" in 6
replace Characteristics= "Age 18-24" in 10
replace Characteristics= "Age 18-24" in 14
replace Characteristics= "Age 18-24" in 18
replace Characteristics= "Age 25-54" in 3
replace Characteristics= "Age 25-54" in 7
replace Characteristics= "Age 25-54" in 11
replace Characteristics= "Age 25-54" in 15
replace Characteristics= "Age 25-54" in 19
replace Characteristics= "Age 55-65" in 4
replace Characteristics= "Age 55-65" in 8
replace Characteristics= "Age 55-65" in 12
replace Characteristics= "Age 55-65" in 16
replace Characteristics= "Age 55-65" in 20
order Ch o_* d_*

save "$dire\Tables\table3b.dta", replace
clear

/* Table 3C: Characteristics of the Origin and Destination State by Education */

matrix table3c[2,1]=educ1["N".."p50","uerorig"]'
matrix table3c[2,5]=educ1["N".."p50","uerdest"]'
matrix table3c[3,1]=educ2["N".."p50","uerorig"]'
matrix table3c[3,5]=educ2["N".."p50","uerdest"]'
matrix table3c[4,1]=educ3["N".."p50","uerorig"]'
matrix table3c[4,5]=educ3["N".."p50","uerdest"]'
matrix table3c[5,1]=educ4["N".."p50","uerorig"]'
matrix table3c[5,5]=educ4["N".."p50","uerdest"]'

matrix table3c[7,1]=educ1["N".."p50","pcincomeorig"]'
matrix table3c[7,5]=educ1["N".."p50","pcincomedest"]'
matrix table3c[8,1]=educ2["N".."p50","pcincomeorig"]'
matrix table3c[8,5]=educ2["N".."p50","pcincomedest"]'
matrix table3c[9,1]=educ3["N".."p50","pcincomeorig"]'
matrix table3c[9,5]=educ3["N".."p50","pcincomedest"]'
matrix table3c[10,1]=educ4["N".."p50","pcincomeorig"]'
matrix table3c[10,5]=educ4["N".."p50","pcincomedest"]'

matrix table3c[12,1]=educ1["N".."p50","forecloseorig"]'
matrix table3c[12,5]=educ1["N".."p50","foreclosedest"]'
matrix table3c[13,1]=educ2["N".."p50","forecloseorig"]'
matrix table3c[13,5]=educ2["N".."p50","foreclosedest"]'
matrix table3c[14,1]=educ3["N".."p50","forecloseorig"]'
matrix table3c[14,5]=educ3["N".."p50","foreclosedest"]'
matrix table3c[15,1]=educ4["N".."p50","forecloseorig"]'
matrix table3c[15,5]=educ4["N".."p50","foreclosedest"]'

matrix table3c[17,1]=educ1["N".."p50","educationorig"]'
matrix table3c[17,5]=educ1["N".."p50","educationdest"]'
matrix table3c[18,1]=educ2["N".."p50","educationorig"]'
matrix table3c[18,5]=educ2["N".."p50","educationdest"]'
matrix table3c[19,1]=educ3["N".."p50","educationorig"]'
matrix table3c[19,5]=educ3["N".."p50","educationdest"]'
matrix table3c[20,1]=educ4["N".."p50","educationorig"]'
matrix table3c[20,5]=educ4["N".."p50","educationdest"]'

matrix table3c[22,1]=educ1["N".."p50","crimeorig"]'
matrix table3c[22,5]=educ1["N".."p50","crimedest"]'
matrix table3c[23,1]=educ2["N".."p50","crimeorig"]'
matrix table3c[23,5]=educ2["N".."p50","crimedest"]'
matrix table3c[24,1]=educ3["N".."p50","crimeorig"]'
matrix table3c[24,5]=educ3["N".."p50","crimedest"]'
matrix table3c[25,1]=educ4["N".."p50","crimeorig"]'
matrix table3c[25,5]=educ4["N".."p50","crimedest"]'

clear
svmat table3c, names(matcol)
rename table3cc1 o_N
rename table3cc2 o_Mean
rename table3cc3 o_SD
rename table3cc4 o_Median
rename table3cc5 d_N
rename table3cc6 d_Mean
rename table3cc7 d_SD
rename table3cc8 d_Median
replace o_N = . if o_N==0
replace o_Mean = . if o_Mean==0
replace o_SD = . if o_SD==0
replace o_Median = . if o_Median==0
replace d_N = . if d_N==0
replace d_Mean = . if d_Mean==0
replace d_SD = . if d_SD==0
replace d_Median = . if d_Median==0
gen str Characteristics = "Average unemployment rate (%)" in 1
replace Characteristics= "Average annual income ($US)" in 6
replace Characteristics= "Average foreclosure rate (%)" in 11
replace Characteristics= "Average school ranking" in 16
replace Characteristics= "Average homicide rate" in 21
replace Characteristics= "High school dropout" in 2
replace Characteristics= "High school dropout" in 7
replace Characteristics= "High school dropout" in 12
replace Characteristics= "High school dropout" in 17
replace Characteristics= "High school dropout" in 22
replace Characteristics= "High school graduate" in 3
replace Characteristics= "High school graduate4" in 8
replace Characteristics= "High school graduate" in 13
replace Characteristics= "High school graduate" in 18
replace Characteristics= "High school graduate" in 23
replace Characteristics= "Some college" in 4
replace Characteristics= "Some college" in 9
replace Characteristics= "Some college" in 14
replace Characteristics= "Some college" in 19
replace Characteristics= "Some college" in 24
replace Characteristics= "Bachelor's degree or above" in 5
replace Characteristics= "Bachelor's degree or above" in 10
replace Characteristics= "Bachelor's degree or above" in 15
replace Characteristics= "Bachelor's degree or above" in 20
replace Characteristics= "Bachelor's degree or above" in 25
order Ch o_* d_*

save "$dire\Tables\table3c.dta", replace



/* Prepare wage/hours data to produce Table 4A and 4B */

cd "$dire\Assembled Data"
foreach yr in 96 01 04 {

	if `yr'==96 {
		use "$dire\Assembled Data\96_allmove.dta", clear
	}
	else {
		use "$dire\Assembled Data\\`yr'_allmove.dta", clear
	}
	
	// Hours
		replace ejbhrs1 = 0 if ejbhrs1==-1
		replace ejbhrs2 = 0 if ejbhrs2==-1
		gen hours = rmwkwjb*(ejbhrs1+ejbhrs2)
	
	if `yr'==04 {
		* Account for new category in 2004 -- "Hours varied". In this case, use the usual hours worked across all jobs variable.
		replace ehrsall = 0 if ehrsall==-1
		replace hours = rmwkwjb*ehrsall if (ejbhrs1==-8 | ejbhrs2==-8)
	}
	
	// Hourly wages
		gen hrlywage = (tpmsum1 + tpmsum2)/hours
	
	// Employed - Indicator variable equal to 1 if "with a job" for any portion of month
		drop employed // Drop earlier variable b/c it considers only those employed for whole month
		gen employed=0
		replace employed=1 if rmesr>=1 & rmesr<=5
	
	// Generate variables to identify 3-mo. window around move
		* Find individuals where there are at least 3 obs. before and after move
		by uid: gen has3mo_window = obsno if (laststatemove==1 & obsno[_n]>=obsno[_n-3]) &  (laststatemove==1 & obsno[_N]>=obsno[_n+3])
		
		* Expand position of last move store in "has3mo_window" to all obs. of mover
		egen moveobs = mean(has3mo_window), by(uid)
		
	// Calculate maximum hourly wage in 3-mo. window before and after move	
		* Determine wages in windows around move
		by uid: gen wage_3mobefore = hrlywage if obsno>=moveobs-3 & obsno<=moveobs
		by uid: gen wage_3moafter = hrlywage if obsno<=moveobs+3 & obsno>=moveobs
		
		* Calculate max wage in 3 mo. window before and after move
		egen wage_maxbefore = max(wage_3mobefore) if !missing(wage_3mobefore), by(uid)
		egen wage_maxafter  = max(wage_3moafter) if !missing(wage_3moafter) , by(uid)

	// Calculate employment before and after move
		* Determine employment status around move
		by uid: gen employed_3mobefore = employed if obsno>=moveobs-3 & obsno<=moveobs
		by uid: gen employed_3moafter = employed if obsno<=moveobs+3 & obsno>=moveobs
		
		* Determine if employed in any month in 3 mo. window before and after move
		egen employed_maxbefore  = max(employed_3mobefore) if !missing(employed_3mobefore), by(uid)
		egen employed_maxafter  = max(employed_3moafter) if !missing(employed_3moafter) , by(uid)
		
		keep uid tfipsst rhcalmn rhcalyr rmesr tpmsum* ejbhrs* rmwkwjb employed hours esex age race educ statemove laststatemove wage_maxbefore wage_maxafter employed_maxbefore employed_maxafter
		
		save emplout_movers`yr'.dta, replace
 
}
		
// Append movers' wage data from all waves		
dsconcat emplout_movers96.dta emplout_movers01.dta emplout_movers04.dta

// Set bach. or above education category
replace educ=4 if educ==5
preserve

// Limit wage calculations to those employed with income>0 before and after move
replace  wage_maxbefore=. if employed_maxbefore!=1 | wage_maxbefore==0
replace  wage_maxafter=. if employed_maxafter!=1 | wage_maxafter==0
keep if laststatemove==1 & wage_maxbefore!=. & wage_maxafter!=.


/* Table 4A: Wages of Movers */
matrix table4a=J(12,7,0)

tabstat wage_maxbefore wage_maxafter if laststatemove==1, by(esex) stat(count mean sd p50) save
matrix allw = r(StatTotal)
matrix malew = r(Stat1)
matrix femalew = r(Stat2)

tabstat wage_maxbefore wage_maxafter if laststatemove==1, by(age) stat(count mean sd p50) save
matrix age1w = r(Stat1)
matrix age2w = r(Stat2)
matrix age3w = r(Stat3)

tabstat wage_maxbefore wage_maxafter if laststatemove==1, by(race) stat(count mean sd p50) save
matrix whitew = r(Stat1)
matrix nwhitew = r(Stat2)

tabstat wage_maxbefore wage_maxafter if laststatemove==1, by(educ) stat(count mean sd p50) save
matrix edu1w = r(Stat1)
matrix edu2w = r(Stat2)
matrix edu3w = r(Stat3)
matrix edu4w = r(Stat4)

matrix table4a[1,1]=allw["N".."p50","wage_maxbefore"]'
matrix table4a[1,5]=allw["mean".."p50","wage_maxafter"]'
matrix table4a[2,1]=malew["N".."p50","wage_maxbefore"]'
matrix table4a[2,5]=malew["mean".."p50","wage_maxafter"]'
matrix table4a[3,1]=femalew["N".."p50","wage_maxbefore"]'
matrix table4a[3,5]=femalew["mean".."p50","wage_maxafter"]'
matrix table4a[4,1]=age1w["N".."p50","wage_maxbefore"]'
matrix table4a[4,5]=age1w["mean".."p50","wage_maxafter"]'
matrix table4a[5,1]=age2w["N".."p50","wage_maxbefore"]'
matrix table4a[5,5]=age2w["mean".."p50","wage_maxafter"]'
matrix table4a[6,1]=age3w["N".."p50","wage_maxbefore"]'
matrix table4a[6,5]=age3w["mean".."p50","wage_maxafter"]'
matrix table4a[7,1]=whitew["N".."p50","wage_maxbefore"]'
matrix table4a[7,5]=whitew["mean".."p50","wage_maxafter"]'
matrix table4a[8,1]=nwhitew["N".."p50","wage_maxbefore"]'
matrix table4a[8,5]=nwhitew["mean".."p50","wage_maxafter"]'
matrix table4a[9,1]=edu1w["N".."p50","wage_maxbefore"]'
matrix table4a[9,5]=edu1w["mean".."p50","wage_maxafter"]'
matrix table4a[10,1]=edu2w["N".."p50","wage_maxbefore"]'
matrix table4a[10,5]=edu2w["mean".."p50","wage_maxafter"]'
matrix table4a[11,1]=edu3w["N".."p50","wage_maxbefore"]'
matrix table4a[11,5]=edu3w["mean".."p50","wage_maxafter"]'
matrix table4a[12,1]=edu4w["N".."p50","wage_maxbefore"]'
matrix table4a[12,5]=edu4w["mean".."p50","wage_maxafter"]'

clear
svmat table4a, names(matcol)
rename table4ac1 N
rename table4ac2 b_Mean
rename table4ac3 b_SD
rename table4ac4 b_Median
rename table4ac5 a_Mean
rename table4ac6 a_SD
rename table4ac7 a_Median
gen diff_Mean = a_Mean-b_Mean
gen diff_Median = a_Mean-b_Median
gen str Wages = "All Movers" in 1
replace Wages = "Men" in 2
replace Wages = "Women" in 3
replace Wages = "Age 18-24" in 4
replace Wages = "Age 25-54" in 5
replace Wages = "Age 55-65" in 6
replace Wages = "White" in 7
replace Wages = "Non-white" in 8
replace Wages = "High School dropout" in 9
replace Wages = "High school graduate" in 10
replace Wages = "Some college" in 11
replace Wages = "Bachelor's degee or above" in 12
order Wages

save "$dire\Tables\table4a.dta", replace

/* Table 4:  Employment Rates of Movers */
restore
matrix table4b=J(12,5,0)

tabstat employed_maxbefore employed_maxafter if laststatemove==1, by(esex) stat(count mean sd) save
matrix alle = r(StatTotal)
matrix malee = r(Stat1)
matrix femalee = r(Stat2)

tabstat employed_maxbefore employed_maxafter if laststatemove==1, by(age) stat(count mean sd) save
matrix age1e = r(Stat1)
matrix age2e = r(Stat2)
matrix age3e = r(Stat3)

tabstat employed_maxbefore employed_maxafter if laststatemove==1, by(race) stat(count mean sd) save
matrix whitee = r(Stat1)
matrix nwhitee = r(Stat2)

tabstat employed_maxbefore employed_maxafter if laststatemove==1, by(educ) stat(count mean sd) save
matrix edu1e = r(Stat1)
matrix edu2e = r(Stat2)
matrix edu3e = r(Stat3)
matrix edu4e= r(Stat4)


matrix table4b[1,1]=alle["N".."sd","wage_maxbefore"]'
matrix table4b[1,4]=alle["mean".."sd","wage_maxafter"]'
matrix table4b[2,1]=malee["N".."sd","wage_maxbefore"]'
matrix table4b[2,4]=malee["mean".."sd","wage_maxafter"]'
matrix table4b[3,1]=femalee["N".."sd","wage_maxbefore"]'
matrix table4b[3,4]=femalee["mean".."sd","wage_maxafter"]'
matrix table4b[4,1]=age1e["N".."sd","wage_maxbefore"]'
matrix table4b[4,4]=age1e["mean".."sd","wage_maxafter"]'
matrix table4b[5,1]=age2e["N".."sd","wage_maxbefore"]'
matrix table4b[5,4]=age2e["mean".."sd","wage_maxafter"]'
matrix table4b[6,1]=age3e["N".."sd","wage_maxbefore"]'
matrix table4b[6,4]=age3e["mean".."sd","wage_maxafter"]'
matrix table4b[7,1]=whitee["N".."sd","wage_maxbefore"]'
matrix table4b[7,4]=whitee["mean".."sd","wage_maxafter"]'
matrix table4b[8,1]=nwhitee["N".."sd","wage_maxbefore"]'
matrix table4b[8,4]=nwhitee["mean".."sd","wage_maxafter"]'
matrix table4b[9,1]=edu1e["N".."sd","wage_maxbefore"]'
matrix table4b[9,4]=edu1e["mean".."sd","wage_maxafter"]'
matrix table4b[10,1]=edu2e["N".."sd","wage_maxbefore"]'
matrix table4b[10,4]=edu2e["mean".."sd","wage_maxafter"]'
matrix table4b[11,1]=edu3e["N".."sd","wage_maxbefore"]'
matrix table4b[11,4]=edu3e["mean".."sd","wage_maxafter"]'
matrix table4b[12,1]=edu4e["N".."sd","wage_maxbefore"]'
matrix table4b[12,4]=edu4e["mean".."sd","wage_maxafter"]'

clear
svmat table4b, names(matcol)
rename table4bc1 N
rename table4bc2 b_Mean
rename table4bc3 b_SD
rename table4bc4 a_Mean
rename table4bc5 a_SD
gen diff_Mean = a_Mean-b_Mean
gen str Employment_Rate= "All Movers" in 1
replace Employment_Rate = "Men" in 2
replace Employment_Rate = "Women" in 3
replace Employment_Rate = "Age 18-24" in 4
replace Employment_Rate = "Age 25-54" in 5
replace Employment_Rate = "Age 55-65" in 6
replace Employment_Rate = "White" in 7
replace Employment_Rate = "Non-white" in 8
replace Employment_Rate = "High School dropout" in 9
replace Employment_Rate = "High school graduate" in 10
replace Employment_Rate = "Some college" in 11
replace Employment_Rate = "Bachelor's degee or above" in 12
order Employment_Rate

save "$dire\Tables\table4b.dta", replace
















